Loading...
Searching...
No Matches
AVBitStreamFilter Struct Reference
libavcodec » Bitstream filters

`#include <libavcodec/bsf.h>`

## Data Fields

const char * | name
enum AVCodecID * | codec_ids
| A list of codec ids supported by the filter, terminated by AV_CODEC_ID_NONE.
const AVClass * | priv_class
| A class for the private data, used to declare bitstream filter private AVOptions.

## Detailed Description

Definition at line 111 of file bsf.h.

## Field Documentation

## name

const char* AVBitStreamFilter::name

Definition at line 112 of file bsf.h.

## codec_ids

enum AVCodecID* AVBitStreamFilter::codec_ids

A list of codec ids supported by the filter, terminated by AV_CODEC_ID_NONE.

May be NULL, in that case the bitstream filter works with any codec id.

Definition at line 119 of file bsf.h.

## priv_class

const AVClass* AVBitStreamFilter::priv_class

A class for the private data, used to declare bitstream filter private AVOptions.

This field is NULL for bitstream filters that do not declare any options.

If this field is non-NULL, the first member of the filter private data must be a pointer to AVClass, which will be set by libavcodec generic code to this class.

Definition at line 130 of file bsf.h.

The documentation for this struct was generated from the following file:

- libavcodec/bsf.h